/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicXYTriangulatingSeriesDescription } from "./GeographicXYTriangulatingSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let GeographicContourLineSeriesDescription = /*@__PURE__*/ (() => {
    class GeographicContourLineSeriesDescription extends GeographicXYTriangulatingSeriesDescription {
        get_type() {
            return "GeographicContourLineSeries";
        }
        constructor() {
            super();
            this.es = null;
            this.eo = null;
            this.en = null;
            this.el = null;
            this.er = null;
        }
        get valueMemberPath() {
            return this.es;
        }
        set valueMemberPath(a) {
            this.es = a;
            this.g("ValueMemberPath");
        }
        get fillScale() {
            return this.eo;
        }
        set fillScale(a) {
            this.eo = a;
            this.g("FillScale");
        }
        get actualFillScale() {
            return this.en;
        }
        set actualFillScale(a) {
            this.en = a;
            this.g("ActualFillScale");
        }
        get valueResolver() {
            return this.el;
        }
        set valueResolver(a) {
            this.el = a;
            this.g("ValueResolver");
        }
        get triangulationStatusChangedRef() {
            return this.er;
        }
        set triangulationStatusChangedRef(a) {
            this.er = a;
            this.g("TriangulationStatusChangedRef");
        }
    }
    GeographicContourLineSeriesDescription.$t = /*@__PURE__*/ markType(GeographicContourLineSeriesDescription, 'GeographicContourLineSeriesDescription', GeographicXYTriangulatingSeriesDescription.$);
    return GeographicContourLineSeriesDescription;
})();
